Loading...
Searching...
No Matches
RDKit::MrvWriterParams Struct Reference

`#include <MarvinParser.h>`

## Public Attributes

bool | includeStereo = true
bool | kekulize
bool | prettyPrint = false
unsigned int | precision = 6

## Detailed Description

Definition at line 134 of file MarvinParser.h.

## Member Data Documentation

## includeStereo

bool RDKit::MrvWriterParams::includeStereo = true

toggles inclusion of stereochemical

Definition at line 135 of file MarvinParser.h.

## kekulize

bool RDKit::MrvWriterParams::kekulize

Initial value:
=
true

triggers kekulization of the molecule before it's written

Definition at line 136 of file MarvinParser.h.

## precision

unsigned int RDKit::MrvWriterParams::precision = 6

precision of the coordinates

Definition at line 139 of file MarvinParser.h.

## prettyPrint

bool RDKit::MrvWriterParams::prettyPrint = false

makes the output more human readable

Definition at line 138 of file MarvinParser.h.

The documentation for this struct was generated from the following file:

- MarvinParser.h